package com.cxytiandi.baidu_pan.repository;

import java.util.List;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.cxytiandi.baidu_pan.domain.es.ResourceBean;

@Repository
public interface ResourceRepository extends CrudRepository<ResourceBean, String> {
	
	Long countByUsername(String username);
	
	List<ResourceBean> findTop10ByHomeUrl(String homeUrl);
}
