package com.cxytiandi.baidu_pan;
import java.util.Iterator;
import java.util.List;

import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import com.cxytiandi.baidu_pan.domain.Resource;
import com.cxytiandi.baidu_pan.domain.es.ResourceBean;
import com.cxytiandi.baidu_pan.repository.ResourceRepository;
/**
 * 建立索引
 * @author 尹吉欢
 * qq:1304489315
 *
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = App.class)
public class SaveDataTest {
	
	@Autowired
	private MongoTemplate mongoTemplate;
	
	@Autowired
	private ResourceRepository resourceRepository;
	
	@Test
	@Ignore
	public void save() {
		List<Resource> list = mongoTemplate.findAll(Resource.class);
		for (Resource resource : list) {
			ResourceBean bean = new ResourceBean();
			BeanUtils.copyProperties(resource, bean);
			resourceRepository.save(bean);
		}
	}
	
	@Test
	@Ignore
	public void list() {
		Iterator<ResourceBean> iter = resourceRepository.findAll().iterator();
		while (iter.hasNext()) {
			ResourceBean bean = iter.next();
			System.out.println(bean.getTitle());
		}
	}
	
	@Test
	public void count() {
		long count = resourceRepository.countByUsername("仲*拾叁");
		System.out.println(count);
	}
}
