package com.cxytiandi.baidu_pan;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.cxytiandi.baidu_pan.domain.es.ResourceBean;
import com.cxytiandi.baidu_pan.repository.ResourceBeanRepository;
import com.cxytiandi.baidu_pan.util.PageBean;
/**
 * 搜索
 * @author 尹吉欢
 * qq:1304489315
 *
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = App.class)
public class SearchTest {
	
	@Autowired
	private ResourceBeanRepository resourceRepository;
	
	@Test
	public void search() {
		PageBean<ResourceBean> pageBean = resourceRepository.listForPage("软件", 0, 1, 10);
		System.out.println("total:" + pageBean.getTotalRecords());
		System.out.println("pages:" + pageBean.getTotalPages());
		for (ResourceBean bean : pageBean.getList()) {
			System.out.println(bean.getTitle());
		}
	}
	
}
